Update an activity
PATCH
/activity/{activityId}
const url = 'https://apisandbox.puurk.com/activity/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"id":"example","oid":"example","eid":"example","client_id":"example","location_id":"example","type":"offer_accepted","category":"offer","reference_id":"example","timestamp":"2026-04-15T12:00:00Z","uid":"example","title":"example","description":"example","metadata":{},"related_uids":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://apisandbox.puurk.com/activity/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "oid": "example", "eid": "example", "client_id": "example", "location_id": "example", "type": "offer_accepted", "category": "offer", "reference_id": "example", "timestamp": "2026-04-15T12:00:00Z", "uid": "example", "title": "example", "description": "example", "metadata": {}, "related_uids": [ "example" ] }'Update an existing activity event
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”activityId
required
string
ID of the activity
Request Bodyrequired
Section titled “Request Bodyrequired”Request body
Media typeapplication/json
object
id
string
oid
Organization ID
string
eid
Employee/entity ID
string
client_id
Client (lead) ID
string
location_id
string
type
Type of activity notification
string
category
string
reference_id
ID of the referenced entity (offer, contract, payment, etc.)
string
timestamp
string format: date-time
uid
string
title
string
description
string
metadata
object
key
additional properties
any
related_uids
Array<string>
Responses
Section titled “Responses”Activity updated
Media typeapplication/json
object
id
string
oid
Organization ID
string
eid
Employee/entity ID
string
client_id
Client (lead) ID
string
location_id
string
type
Type of activity notification
string
category
string
reference_id
ID of the referenced entity (offer, contract, payment, etc.)
string
timestamp
string format: date-time
uid
string
title
string
description
string
metadata
object
key
additional properties
any
related_uids
Array<string>
Example
{ "type": "offer_accepted", "category": "offer"}Unauthorized
Not found